#ifndef TILE_BROWSERDLG_H
#define TILE_BROWSERDLG_H

#include <QtGui>
#include <QDialog>
#include <QButtonGroup>
#include "ui_tile_browser_Qt.h"
#include "TilesModel.h"
#include "BrowserModel.h"


class CTile_browserDlg : public QDialog
{
	Q_OBJECT

public:	

	enum TileLabel
	{ 
		Index = 0,
		FileName = 1
	};

	enum TileZoom
	{ 
		Small = 32,
		Normal =64,
		Big = 128
	};

	CTile_browserDlg(QWidget *parent = 0, Qt::WindowFlags f = 0);
	void initDialog(const int&);   
	

private slots:
	void on_tileTypeButtonGroup_clicked(int);
	void on_tileTextureButtonGroup_clicked(int);
	void on_tileLabelButtonGroup_clicked(int);
	void on_tileZoomButtonGroup_clicked(int);

	void on_refreshPushButton_clicked();
	void on_batchLoadPushButton_clicked();
	void on_exportBorderPushButton_clicked();
	void on_importBorderPushButton_clicked();

	void on_TilesModel_selectionChanged ( const QItemSelection & selected, const QItemSelection & deselected );

	void on_actionAddTile_triggered(bool);
	void on_actionDeleteTile_triggered(bool);
	void on_actionReplaceImage_triggered(bool);
	void on_actionDeleteImage_triggered(bool);

protected:
    void closeEvent(QCloseEvent *event);
	void accept();
	void reject();

private:
	int tileSetIndex;
	TilesModel *tileViewModel;
	TileList browserModel;

	QButtonGroup* tileTypeButtonGroup;
	QButtonGroup* tileTextureButtonGroup;
	QButtonGroup* tileLabelButtonGroup;
	QButtonGroup* tileZoomButtonGroup;

	void RefreshView();
	void EnableBrowserInteractions();
	void LoadInThread(void);

	Ui::TileBrowserDialog ui;
};


#endif
